**NOTE:** Hotpocket is still a work in progress, the documentation and the script are not to be trusted.

<br />
![Hotpocket](docs/hotpocket.png)

Daemon for automated room management
<br /><br />
[Installation](docs/debian_11.md) |
[Configuration](docs/configuration.md) |
[Policy deployment](docs/policies.md) |
[Tags](docs/tags) |
[#loj:glowers.club](https://matrix.to/#/#loj:glowers.club)
<br /><br />
Hotpocket is a room management daemon for matrix, which allows homeserver operators to more effectively deal with unwanted content.

### Todo
- [x] Logo (very important)
- [ ] Documentation. Everything changed needs lookover
- [x] config.d
- [x] Policy querying
- [x] Basic Actions
- [ ] Advanced Actions (archiving, audit log)
- [ ] Audit log. This *was* implemented but everything got rewritten
- [ ] Mjolnir forwarding

### Faq

#### Why?
Existing tools like Mjolnir do not implement `m.policy.rule.room`, meaning room management through Mjolnir is tedious and inefficient. Additionally, Mjolnir can only act on one homeserver at a time, meaning homeserver operators can't effectively crowd-source homeserver moderation.

#### Why in bash?
Hotpocket is intended to be easily deployable, with as few dependencies as possible. Shell scripts are not only highly portable, but easily auditable.

#### Is this more complicated than Mjolnir?
The only effective difference between Mjolnir's room management and Hotpocket, is that hotpocket requires all policies to be signed by a trusted public key.

If you're running your own homeserver, the small jump in complexity shouldn't be an issue.

#### Can I use this with my <attr title="Element Matrix Services">EMS</attr> homeserver?
If you want to run hotpocket on a <attr title="Matrix-as-a-Service">MaaS</attr> provider, you will need access to `/_synapse` and a server to install hotpocket to.

As `/_synapse` will be exposed to the internet, this is not considered a secure configuration. If possible, you should migrate to hosting your matrix homeserver yourself.
